<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

	<xsl:template match="*">
		<xsl:copy>
			<xsl:apply-templates select="@value"/>
			<xsl:copy-of select="@form|@accent|@separator|@fence"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="@value">
		<xsl:attribute name="value">
			<xsl:value-of select="." disable-output-escaping="yes"/>
		</xsl:attribute>
	</xsl:template>
	
</xsl:stylesheet>
