<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates select="change_break_before"/>
			<xsl:apply-templates select="decrease_descendants_priority"/>
			<xsl:apply-templates select="*[not(self:change_break_before) and not(self:decrease_descendants_priority) and not(self:change_latest_break) ]"/>
			<xsl:apply-templates select="change_latest_break"/>
		</xsl:copy>
	</xsl:template>

	<!--  
		command processors 
	-->
	<xsl:template match="change_break_before">
		<!-- define scope -->
		<xsl:variable name="scope" select="flow_atom[count(br_atom)>0]"/>
		<!-- resolve -->
		
	</xsl:template>
	<xsl:template match="decrease_descendants_priority">
		<!-- define scope -->
		<!-- resolve -->
	</xsl:template>
	<xsl:template match="change_latest_break">
		<!-- define scope -->
		<!-- resolve -->
	</xsl:template>
	
</xsl:stylesheet>
