<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<!--xsl:template match="/">
		<BrailleDocDictionary>
			<Unknown>
				<xsl:apply-templates/>
			</Unknown>
		</BrailleDocDictionary>
	</xsl:template>

	<xsl:template match="unknown">
		<xsl:copy-of select="*"/>
	</xsl:template-->

	<!--xsl:template match="/">
		<result>
			<xsl:apply-templates/>
		</result>
	</xsl:template-->

<xsl:template match="/ | @* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>


	<!--xsl:template match="table_column">
		<xsl:if test="*[1][local-name(.) != 'none']">
			<table_column>
				<xsl:if test="operator[vellip | dtdot]">
				<xsl:choose>
					<xsl:when test="((following-sibling::*[1][self::table_column/operator[vellip | dtdot]]) and not(preceding-sibling::*[1][self::table_column/operator[vellip | dtdot]]))">
						<xsl:attribute name="verdot">change</xsl:attribute>
					</xsl:when>
					<xsl:when test="preceding-sibling::*[1][self::table_column/operator[vellip | dtdot]]">
      						<xsl:attribute name="verdot">delete</xsl:attribute>
					</xsl:when>
      					<xsl:otherwise>
      					</xsl:otherwise>
				</xsl:choose>
				</xsl:if>
				<xsl:copy-of select="*"/>
			</table_column>
		</xsl:if>
	</xsl:template-->


	<xsl:template match="table_column">
		<xsl:if test="*[1][local-name(.) != 'none']">
			<table_column>
				<xsl:if test="((name(child::*[2]) = '') and (operator[vellip | dtdot]))">
					
					<!--xsl:variable name="a" select="name(*[preceding-sibling::*[1]])"></xsl:variable-->
					<!--xsl:variable name="a" select="name(child::*[1])"></xsl:variable-->
					<!--xsl:variable name="a" select="name(preceding-sibling::*[1]/*[2])"></xsl:variable>
					<my_code>
						<xsl:value-of select="$a"></xsl:value-of>
					</my_code-->
					
					<xsl:choose>
						<xsl:when test="((following-sibling::*[1][self::table_column/operator[vellip | dtdot]]) and not(preceding-sibling::*[1][self::table_column/operator[vellip | dtdot]]) and (name(following-sibling::*[1]/*[2]) = ''))">
							<xsl:attribute name="verdot">change</xsl:attribute>
						</xsl:when>
						<xsl:when test="((preceding-sibling::*[1][self::table_column/operator[vellip | dtdot]]) and (name(preceding-sibling::*[1]/*[2]) = ''))">
      							<xsl:attribute name="verdot">delete</xsl:attribute>
						</xsl:when>
      						<xsl:otherwise>
      						</xsl:otherwise>
					</xsl:choose>
					
				</xsl:if>
				<xsl:copy-of select="*"/>
			</table_column>
		</xsl:if>
	</xsl:template>

	<xsl:template match="script_star">
		
			<xsl:copy>
				<!--xsl:if test="name(parent::*)='script_base'"-->
				<xsl:if test="name(preceding-sibling::*[1])='number'">
					<xsl:attribute name="before">number</xsl:attribute>
				</xsl:if>
				<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
			
				<!--mycode></mycode-->
	</xsl:template>

<!-- prev version
	<xsl:template match="table_column">
		<xsl:if test="*[1][local-name(.) != 'none']">
			<table_column>
				<xsl:copy-of select="*"/>
			</table_column>
		</xsl:if>
	</xsl:template>
-->

	<!--xsl:template match="*[not(self::table_column)]">
		<xsl:copy-of select="*"/>
		<xsl:apply-templates/>
	</xsl:template-->


</xsl:stylesheet>
