<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="para-font-size">12pt</xsl:variable>

	<!--xsl:template match="/">
		<BrailleDocDictionary>
			<Unknown>
				<xsl:apply-templates/>
			</Unknown>
		</BrailleDocDictionary>
	</xsl:template>

	<xsl:template match="unknown">
		<xsl:copy-of select="*"/>
	</xsl:template-->

	<!--xsl:template match="/">
		<result>
			<xsl:apply-templates/>
		</result>
	</xsl:template-->

<xsl:template match="/ | @* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>


	<!--xsl:template match="table_column">
			<xsl:if test="following-sibling::*[1][self::table_column/punctuation/stop]">
		<xsl:if test="punctuation/stop">
				<table_column_my>
					<xsl:copy-of select="*"/>
				</table_column_my>
			</xsl:if>
		</xsl:if>
	</xsl:template-->
	
	
	<!--xsl:template match="table_column">
		<xsl:choose>
			<xsl:when test="((following-sibling::*[1][self::table_column/punctuation/stop]) and (preceding-sibling::*[1][self::table_column/punctuation/stop]) and (punctuation/stop))">
      				<table_column_following_preceding>
					<xsl:copy-of select="*"/>
				</table_column_following_preceding>
			</xsl:when>
			<xsl:when test="((following-sibling::*[1][self::table_column/punctuation/stop]) and (punctuation/stop))">
      				<table_column_start_stop>
					<xsl:copy-of select="*"/>
				</table_column_start_stop>
			</xsl:when>
			<xsl:when test="((preceding-sibling::*[1][self::table_column/punctuation/stop]) and (punctuation/stop))">
      				<table_column_end_stop>
					<xsl:copy-of select="*"/>
				</table_column_end_stop>
			</xsl:when>
      			<xsl:otherwise>
      				<table_column_normal>
					<xsl:copy-of select="*"/>
				</table_column_normal>
      			</xsl:otherwise>
		</xsl:choose>
	</xsl:template-->


	
	<xsl:template match="table_column">
		<table_column>
			<xsl:if test="((preceding-sibling::*[1][self::table_column/punctuation/stop]) and (punctuation/stop) and (name(child::*[2]) = '') and (name(preceding-sibling::*[1]/*[2]) = ''))">
				<xsl:attribute name="stop">clear</xsl:attribute>
			</xsl:if>
			<xsl:copy-of select="*"/>
		</table_column>
	</xsl:template>

	<xsl:template match="table_column[@verdot='change']">
		<table_column>
			<operator form="normal" system_type="other">
  				<Vellip form="normal" /> 
  			</operator>		
  		</table_column>
	</xsl:template>
	
	<xsl:template match="table_column[@verdot='delete']"/>
	
	<!--xsl:template match="table_column">
	<xsl:variable name="my">myvalue</xsl:variable>
	<table_column_my>
	<xsl:attribute name="sign"><xsl:value-of select="$my"/></xsl:attribute>
		<xsl:attribute name="{$my}"></xsl:attribute>

	</table_column_my>
	</xsl:template-->




	<xsl:template match="number">
					<!--xsl:variable name="a" select="name(preceding-sibling::*[2])"></xsl:variable>
					<my_code>
						<xsl:value-of select="$a"></xsl:value-of>
					</my_code-->
		
			<xsl:copy>
				<!--xsl:if test="name(parent::*)='script_base'"-->

				<xsl:if test="((ancestor::*[2][@before='number']) and not(preceding-sibling::*))">
					<xsl:attribute name="before">number before script</xsl:attribute>
				</xsl:if>
				<xsl:apply-templates select="@*|node()"/>
			</xsl:copy>
			
				<!--mycode></mycode-->
	</xsl:template>


</xsl:stylesheet>
